
  
  public partial class step1 : System.Web.UI.Page
  {
      //单击下一步按钮
      protected void lnkNext_Click(object sender, System.EventArgs e)
      {
          string findName = TextBox1.Text.【Trim】();
          if (findName == "")
          {
              Response.【Write】("<script>alert(\"查找的用户名不能为空!\")</script>");
              return;
          }
          //在数据库中查找输入的用户
  
          string sql = "【select】 Question,[Password],Answer from Users where UserName='" + findName + "'";
          DataTable dt = DBHelper.GetTable(sql);
          if (dt.【Rows】.Count == 0)
          {
              //没有返回记录，说明用户不存在
              Response.Write("<script>alert(\"查找的用户名不存在!\")</script>");
              return;
          }
          else
          {
              //把信息保存在Session中供下一页面使用
              【Session】["Question"] = dt.Rows[0]["Question"].ToString();
              Session["Anwser"] = dt.Rows[0]["Answer"].ToString();
              Session["Password"] = dt.Rows[0]["Password"].ToString();
          }
  
          Response.【Redirect】("step2.aspx");
  
  
      }
  }

--答案--
   Write   Session   select   Redirect